Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT Struct Reference

Thread function. More...

`#include <OgreWorkQueue.h>`

List of all members.

## Public Member Functions

| WorkerFunc (DefaultWorkQueueBase *q)
void | operator() ()
void | run ()

## Public Attributes

DefaultWorkQueueBase * | mQueue

## Detailed Description

Thread function.

Definition at line 455 of file OgreWorkQueue.h.

## Member Function Documentation

void Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::operator() | ( |  | ) |

void Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::run | ( |  | ) |

Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::WorkerFunc | ( | DefaultWorkQueueBase * | q | ) |

Definition at line 459 of file OgreWorkQueue.h.

## Member Data Documentation

DefaultWorkQueueBase* Ogre::DefaultWorkQueueBase::OGRE_THREAD_WORKER_INHERIT::mQueue

Definition at line 457 of file OgreWorkQueue.h.

The documentation for this struct was generated from the following file:

- OgreWorkQueue.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:42